> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSO Logins

> Call gitpod.v1.AccountService.ListSSOLogins.

`Unary` · [`Accounts`](https://ona.com/docs/api-reference/generated/account/overview)

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AccountService/ListSSOLogins
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.AccountService/ListSSOLogins" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "email": "<email>"
}'
```

```python Python theme={null}
import gitpod.v1.account_pb2 as account_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = account_pb2.ListSSOLoginsRequest(
    email="<email>",
)
response = ona.services.account.list_sso_logins(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { ListSSOLoginsRequestSchema } from "@gitpod/sdk/gitpod/v1/account_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(ListSSOLoginsRequestSchema, {
    email: "<email>",
  });
  const response = await ona.services.account.listSSOLogins(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.ListSSOLoginsRequest{
		Email: "<email>",
	})
	response, err := ona.Services.Account.ListSSOLogins(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "email": "<email>"
}
```

## Request

`gitpod.v1.ListSSOLoginsRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `email` | string | Yes | email is the email the user wants to login with Constraints: `required=true, string.email=true`. |
| `returnTo` | string | No | return\_to is the URL the user will be redirected to after login Constraints: `ignore=1, string.uri=true`. |
| `pagination` | [PaginationRequest](#type-gitpod-v1-pagination-request) | No | pagination contains the pagination options for listing SSO logins |

## Response

`gitpod.v1.ListSSOLoginsResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `logins` | array of [Login](#type-gitpod-v1-list-sso-logins-response-login) | No | |
| `pagination` | [PaginationResponse](#type-gitpod-v1-pagination-response) | Yes | Constraints: `required=true`. |

## Related types

> [accordion] Login
>
> `gitpod.v1.ListSSOLoginsResponse.Login`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `displayName` | string | Yes | provider is the provider used by this login method, e.g. "github", "google", "custom" Constraints: `required=true`. |
> | `loginUrl` | string | Yes | login\_url is the URL to redirect the user to for SSO login Constraints: `required=true`. |

> [accordion] PaginationRequest
>
> `gitpod.v1.PaginationRequest`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `pageSize` | integer | No | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
> | `token` | string | No | Token for the next set of results that was returned as next\_token of a PaginationResponse |

> [accordion] PaginationResponse
>
> `gitpod.v1.PaginationResponse`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `nextToken` | string | No | Token passed for retrieving the next set of results. Empty if there are no more results |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.